> ## Documentation Index
> Fetch the complete documentation index at: https://conductorone-docs-google-workspace-action-examples.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Create App Entitlement Monitor Binding

> Invokes the c1.api.accessconflict.v1.AppEntitlementMonitorBindingService.CreateAppEntitlementMonitorBinding method.



## OpenAPI

````yaml https://spec.speakeasy.com/conductor-one/conductorone/my-source-with-code-samples post /api/v1/appentitlementmonitorbinding
openapi: 3.1.0
info:
  description: The ConductorOne API is a HTTP API for managing ConductorOne resources.
  title: ConductorOne API
  version: 0.1.0-alpha
servers:
  - description: The ConductorOne API server for the current tenant.
    url: https://{tenantDomain}.conductor.one
    variables:
      tenantDomain:
        default: example
        description: The domain of the tenant to use for this request.
security:
  - bearerAuth: []
    oauth: []
paths:
  /api/v1/appentitlementmonitorbinding:
    post:
      tags:
        - App Entitlement Monitor Binding
      summary: Create App Entitlement Monitor Binding
      description: >-
        Invokes the
        c1.api.accessconflict.v1.AppEntitlementMonitorBindingService.CreateAppEntitlementMonitorBinding
        method.
      operationId: >-
        c1.api.accessconflict.v1.AppEntitlementMonitorBindingService.CreateAppEntitlementMonitorBinding
      requestBody:
        content:
          application/json:
            schema:
              $ref: >-
                #/components/schemas/c1.api.accessconflict.v1.CreateAppEntitlementMonitorBindingRequest
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/c1.api.accessconflict.v1.AppEntitlementMonitorBinding
          description: Successful response
      x-codeSamples:
        - lang: go
          label: CreateAppEntitlementMonitorBinding
          source: "package main\n\nimport(\n\t\"context\"\n\t\"github.com/conductorone/conductorone-sdk-go/pkg/models/shared\"\n\tconductoronesdkgo \"github.com/conductorone/conductorone-sdk-go\"\n\t\"log\"\n)\n\nfunc main() {\n    ctx := context.Background()\n\n    s := conductoronesdkgo.New(\n        conductoronesdkgo.WithSecurity(shared.Security{\n            BearerAuth: \"<YOUR_BEARER_TOKEN_HERE>\",\n            Oauth: \"<YOUR_OAUTH_HERE>\",\n        }),\n    )\n\n    res, err := s.AppEntitlementMonitorBinding.CreateAppEntitlementMonitorBinding(ctx, nil)\n    if err != nil {\n        log.Fatal(err)\n    }\n    if res.AppEntitlementMonitorBinding != nil {\n        // handle response\n    }\n}"
        - lang: typescript
          label: Typescript (SDK)
          source: >-
            import { ConductoroneSDKTypescript } from
            "conductorone-sdk-typescript";


            const conductoroneSDKTypescript = new ConductoroneSDKTypescript({
              security: {
                bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
                oauth: "<YOUR_OAUTH_HERE>",
              },
            });


            async function run() {
              const result = await conductoroneSDKTypescript.appEntitlementMonitorBinding.createAppEntitlementMonitorBinding();

              console.log(result);
            }


            run();
components:
  schemas:
    c1.api.accessconflict.v1.CreateAppEntitlementMonitorBindingRequest:
      description: The CreateAppEntitlementMonitorBindingRequest message.
      properties:
        appEntitlementId:
          description: The appEntitlementId field.
          readOnly: false
          type: string
        appId:
          description: The appId field.
          readOnly: false
          type: string
        entitlementGroup:
          description: The entitlementGroup field.
          enum:
            - ENTITLEMENT_GROUP_UNSPECIFIED
            - ENTITLEMENT_GROUP_A
            - ENTITLEMENT_GROUP_B
          readOnly: false
          type: string
          x-speakeasy-unknown-values: allow
        monitorId:
          description: The monitorId field.
          readOnly: false
          type: string
      title: Create App Entitlement Monitor Binding Request
      type: object
      x-speakeasy-name-override: CreateAppEntitlementMonitorBindingRequest
    c1.api.accessconflict.v1.AppEntitlementMonitorBinding:
      description: The AppEntitlementMonitorBinding message.
      properties:
        appEntitlementId:
          description: The appEntitlementId field.
          readOnly: false
          type: string
        appId:
          description: The appId field.
          readOnly: false
          type: string
        createdAt:
          format: date-time
          readOnly: false
          type: string
        deletedAt:
          format: date-time
          readOnly: false
          type: string
        entitlementGroup:
          description: The entitlementGroup field.
          enum:
            - ENTITLEMENT_GROUP_UNSPECIFIED
            - ENTITLEMENT_GROUP_A
            - ENTITLEMENT_GROUP_B
          readOnly: false
          type: string
          x-speakeasy-unknown-values: allow
        monitorId:
          description: The monitorId field.
          readOnly: false
          type: string
        updatedAt:
          format: date-time
          readOnly: false
          type: string
      title: App Entitlement Monitor Binding
      type: object
      x-speakeasy-name-override: AppEntitlementMonitorBinding
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http
    oauth:
      description: >-
        This API uses OAuth2 with the Client Credential flow.

        Client Credentials must be sent in the BODY, not the headers.

        For an example of how to implement this, refer to the
        [c1TokenSource.Token()](https://github.com/ConductorOne/conductorone-sdk-go/blob/3375fe7c0126d17e7ec4e711693dee7b791023aa/token_source.go#L101-L187)
        function.
      flows:
        clientCredentials:
          scopes: {}
          tokenUrl: /auth/v1/token
      type: oauth2

````